Subject: Re: linux-next: manual merge of the kspp tree with the mips tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 15 Feb 2021 07:47:26 +1100

Hi all,

On Mon, 18 Jan 2021 15:08:04 +1100 Stephen Rothwell <[email-masked]> wrote:
> 
> Today's linux-next merge of the kspp tree got a conflict in:
> 
>   include/asm-generic/vmlinux.lds.h
> 
> between commits:
> 
>   9a427556fb8e ("vmlinux.lds.hf41b233de0ae: catch compound literals into data and BSS")
>   f41b233de0ae ("vmlinux.lds.h: catch UBSAN's "unnamed data" into data")
> 
> from the mips tree and commit:
> 
>   dc5723b02e52 ("kbuild: add support for Clang LTO")
> 
> from the kspp tree.
> 
> I fixed it up (9a427556fb8e and dc5723b02e52 made the same change to
> DATA_MAIN, which conflicted with the change in f41b233de0ae) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging. You may
> also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.

With the merge window about to open, this is a reminder that this
conflict still exists.

-- 
Cheers,
Stephen Rothwell